package rushhour.presentation;
// ---------------------------------------------
// Nom    : DEBRUYNE
// Prenom : Romuald
// ---------------------------------------------
import java.awt.BorderLayout;
import java.awt.Point;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class DialogGagne extends JDialog implements ActionListener {

   public static final long serialVersionUID = 1l;

   public DialogGagne(JFrame mere, String title, String message) {
     super(mere, title, true);
     if (mere != null) {
        Point p = mere.getLocation(); 
        setLocation(p.x , p.y );
     }
     JPanel panel = new JPanel();
     panel.add(new JLabel(message));
     getContentPane().add(panel);
     JPanel panelBouton = new JPanel();
     JButton button = new JButton("OK"); 
     panelBouton.add(button); 
     button.addActionListener(this);
     getContentPane().add(panelBouton, BorderLayout.SOUTH);
     setDefaultCloseOperation(DISPOSE_ON_CLOSE);
     pack(); 
     setVisible(true);
   }

   public void actionPerformed(ActionEvent e) {
     setVisible(false); 
     dispose(); 
   }
}